#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-IPC-Run3
Version		:	0.048
Release		:	16.2.0.rel%{?dist}
Summary		:	Run a subprocess in batch mode

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic or BSD
URL		:	https://metacpan.org/pod/IPC::Run3

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
This module allows you to run a subprocess and
redirect stdin, stdout, and/or stderr to files and
perl data structures. It aims to satisfy 99% of
the need for using system, qx, and open3 with
a simple, extremely Perlish API and none of
the bloat and rarely used features of IPC::Run.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%{_datadir}/perl5/core_perl/IPC/Run3.pm
%{_datadir}/perl5/core_perl/IPC/Run3/Prof*.pm
%{_mandir}/man3/IPC::Run3.3.gz
%{_mandir}/man3/IPC::Run3::Prof*.3.gz


#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}						\
	Makefile.PL					\
	INSTALLDIRS=perl				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	PERL_INSTALL_ROOT=%{buildroot}			\
	pure_install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

#-----------------------------------------------------------------------------
%changelog
